<div class="catalogs-container">
  <section class="pageheadsection mob-pageheadsection1">
    <div class="mdl-grid mdl-grid.mdl-grid--no-spacing">
      <div>
        <gp-headline [headlineTitle]="'Catalogs'"></gp-headline>
      </div>
      <gp-breadcrumb-navigation
        [firstNavigationLabel]="{ label: 'Home' }"
        [secondNavigationLabel]="{ label: 'Catalogs', disabled: true }"
        (firstNavigationClicked)="onHomeClick()"
      ></gp-breadcrumb-navigation>
    </div>
  </section>
  <div class="controls-container">
    <mat-form-field>
      <mat-label>Filter</mat-label>
      <input
        matInput
        (keyup)="applyFilter($event)"
        placeholder="Ex. Mia"
        #input
      />
    </mat-form-field>
    <button mat-raised-button color="primary" (click)="onClickAddNewCatalog()">
      Add new catalog
    </button>
  </div>
  <div class="table-container">
    <table
      mat-table
      [dataSource]="dataSource"
      matSort
      matSortActive="name"
      matSortDisableClear
      matSortDirection="asc"
    >
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Catalog name</th>
        <td mat-cell *matCellDef="let element">
          {{ element.name }}
        </td>
      </ng-container>

      <!-- Type Column -->
      <ng-container matColumnDef="type">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Catalog type</th>
        <td mat-cell *matCellDef="let element" class="font-weight500">
          {{ element.type }}
        </td>
      </ng-container>

      <!-- Published Column -->
      <ng-container matColumnDef="publisher">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>
          Publisher name
        </th>
        <td mat-cell *matCellDef="let element" class="font-weight500">
          {{ element.publisher }}
        </td>
      </ng-container>

      <!-- Self Pub Column -->
      <ng-container matColumnDef="selfPublish">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Self-PUB</th>
        <td mat-cell *matCellDef="let element" class="font-weight500">
          {{ element.selfPublish ? "Yes" : "No" }}
        </td>
      </ng-container>

      <!-- Access type Column -->
      <ng-container matColumnDef="accessTypeCode">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Access type</th>
        <td mat-cell *matCellDef="let element">
          {{ element.accessTypeCode === "PB" ? "Public" : "Restricted" }}
        </td>
      </ng-container>

      <!-- Total models Column -->
      <ng-container matColumnDef="solutionCount">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Total models</th>
        <td mat-cell *matCellDef="let element">
          {{ element.solutionCount }}
        </td>
      </ng-container>

      <!-- Created date Column -->
      <ng-container matColumnDef="created">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Created date</th>
        <td mat-cell *matCellDef="let element">
          {{ element.created | date: "dd/MM/yyyy" }}
        </td>
      </ng-container>

      <!-- Action Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef>Action</th>
        <td mat-cell *matCellDef="let element">
          <div class="actions-container">
            <button class="custom-icon" (click)="onClickEditCatalog(element)">
              <mat-icon>edit</mat-icon>
            </button>
            <button
              [disabled]="element.solutionCount > 0"
              (click)="onClickDeleteCatalog(element)"
              class="custom-icon"
            >
              <mat-icon>delete</mat-icon>
            </button>
          </div>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">
          No data matching the filter "{{ input.value }}"
        </td>
      </tr>
    </table>
  </div>
  <div class="pagination-container">
    <div class="pagination-text">
      <mat-paginator
        [pageSizeOptions]="pageSizeOptions"
        paginator
        aria-label="Select page"
        aria-label="Select page"
      >
      </mat-paginator>
    </div>
  </div>
</div>
